Bug 74478 - kernel oops with loopback ext2 filesytem on ide-scsi cdrw drive
kernel oops with loopback ext2 filesytem on ide-scsi cdrw drive
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-09-24 21:23 EDT by Olen
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Olen 2002-09-24 21:23:28 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.1) Gecko/20020826

Description of problem:
I burn ext2 filesystems on an ide cd-burner.   To mount the cd I have to mount
with the -o loopback option.   The files are there, ls shows them all, but
running less /mnt/cdrom1/filename.txt will cause a kernel oops.   The machine
has to be shutdown, since none of the kernel module will unload, to get the cd
out of the cdrw drive.

The cd can then be put into a normal ide cd drive, and mounted loop back.  The
files on the cd can then be inspected with less and cat etc...

The cd seems to be burned fine, I also used dd to verify that the cdimage is the
same as the hard drive image burned.  I just seems to be a loopback + ide-scsi
issue.

I have done this on two computers, 1 with a normal drive + cdrw, and one with a
cdrw only.   It is a painful bug for me on the machine with a cdrw only.



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. burn and ext2 cd
2. mount it in an ide cd-burner
3. less a file on the cd
	

Actual Results:  kernel oops appears in dmesg output, to get cd out/ use drive
again must cycle power.

Expected Results:  less should show the text of the files

Additional info:

Sep 24 19:25:45 emacir kernel: Unable to handle kernel NULL pointer dereference
at virtual address 00000000
Sep 24 19:25:45 emacir kernel:  printing eip:
Sep 24 19:25:45 emacir kernel: e0b3b546
Sep 24 19:25:45 emacir kernel: *pde = 00000000
Sep 24 19:25:45 emacir kernel: Oops: 0000
Sep 24 19:25:45 emacir kernel: sg loop ppp_deflate zlib_deflate ppp_async ppp_ge
neric slhc sr_mod i810_audio
Sep 24 19:25:45 emacir kernel: CPU:    0
Sep 24 19:25:45 emacir kernel: EIP:    0010:[<e0b3b546>]    Tainted: PF
Sep 24 19:25:45 emacir kernel: EFLAGS: 00010202
Sep 24 19:25:45 emacir kernel:
Sep 24 19:25:45 emacir kernel: EIP is at sr_scatter_pad [sr_mod] 0x1b6 (2.4.18-1
0)
Sep 24 19:25:45 emacir kernel: eax: 00000034   ebx: 00000000   ecx: 0000000d   e
dx: 00000000
Sep 24 19:25:45 emacir kernel: esi: 00000000   edi: c0377718   ebp: c0377600   e
sp: df4c5cc8
Sep 24 19:25:45 emacir kernel: ds: 0018   es: 0018   ss: 0018
Sep 24 19:25:45 emacir kernel: Process mtvp (pid: 2189, stackpage=df4c5000)
Sep 24 19:25:45 emacir kernel: Stack: 00000000 c0377718 c0377200 00000000 000004
00 00000000 c0377000 00000800
Sep 24 19:25:45 emacir kernel:        db600000 00000000 00002207 e0b3b7e5 db6000
00 00000800 00002207 00000000
Sep 24 19:25:45 emacir kernel:        db600000 e0b3f120 df284f20 df284f20 e08a94
fe db600000 e0b3f120 dfd973c0
Sep 24 19:25:45 emacir kernel: Call Trace: [<e0b3b7e5>] sr_init_command [sr_mod]
 0x175
Sep 24 19:25:45 emacir kernel: [<e0b3f120>] sr_template [sr_mod] 0x0
Sep 24 19:25:45 emacir kernel: [<e08a94fe>] scsi_request_fn [scsi_mod] 0x25e
Sep 24 19:25:45 emacir kernel: [<e0b3f120>] sr_template [sr_mod] 0x0
Sep 24 19:25:45 emacir kernel: [<c018585e>] generic_unplug_device [kernel] 0x1e
Sep 24 19:25:45 emacir kernel: [<c011bd59>] __run_task_queue [kernel] 0x49
Sep 24 19:25:45 emacir kernel: [<c0139a56>] __wait_on_buffer [kernel] 0x56
Sep 24 19:25:45 emacir kernel: [<c013a6f8>] getblk [kernel] 0x18
Sep 24 19:25:45 emacir kernel: [<c013a972>] bread [kernel] 0x52
Sep 24 19:25:45 emacir kernel: [<c015e3c2>] ext2_get_branch [kernel] 0x52
Sep 24 19:25:45 emacir kernel: [<c015e659>] ext2_get_block [kernel] 0x59
Sep 24 19:25:45 emacir kernel: [<c018663a>] generic_make_request [kernel] 0x10a
Sep 24 19:25:45 emacir kernel: [<c013ad59>] create_empty_buffers [kernel] 0x19
Sep 24 19:25:45 emacir kernel: [<c013b4ec>] block_read_full_page [kernel] 0xec
Sep 24 19:25:45 emacir kernel: [<c0128acd>] add_to_page_cache_unique [kernel] 0x
6d
Sep 24 19:25:45 emacir kernel: [<c0128b68>] page_cache_read [kernel] 0x88
Sep 24 19:25:45 emacir kernel: [<c015e600>] ext2_get_block [kernel] 0x0
Sep 24 19:25:45 emacir kernel: [<c0129247>] generic_file_readahead [kernel] 0x11
7
Sep 24 19:25:45 emacir kernel: [<c01295d3>] do_generic_file_read [kernel] 0x2e3
Sep 24 19:25:45 emacir kernel: [<c0146986>] do_select [kernel] 0x226
Sep 24 19:25:45 emacir kernel: [<c0129a8e>] generic_file_read [kernel] 0x7e
Sep 24 19:25:45 emacir kernel: [<c0129930>] file_read_actor [kernel] 0x0
Sep 24 19:25:45 emacir kernel: [<c0138bb6>] sys_read [kernel] 0x96
Sep 24 19:25:45 emacir kernel: [<c0108913>] system_call [kernel] 0x33
Sep 24 19:25:45 emacir kernel:
Sep 24 19:25:45 emacir kernel:
Sep 24 19:25:45 emacir kernel: Code: f3 a5 a8 02 74 02 66 a5 a8 01 74 01 a4 8b
54 24 30 0f b7 82
Comment 1 Bugzilla owner 2004-09-30 11:39:56 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.